## net.sf.saxon.event
Class RuleBasedStripper.StripRuleTarget

    java.lang.Object
      net.sf.saxon.event.RuleBasedStripper.StripRuleTarget

All Implemented Interfaces:
  Serializable, RuleTarget

Enclosing class:
  RuleBasedStripper

    public static class RuleBasedStripper.StripRuleTarget

extends Object
implements RuleTarget, Serializable

See Also:
  Serialized Form

Constructor Summary
`RuleBasedStripper.StripRuleTarget()`

Method Summary
`void` `explain(ExpressionPresenter presenter)` Output diagnostic explanation to an ExpressionPresenter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleBasedStripper.StripRuleTarget

    public RuleBasedStripper.StripRuleTarget()

Method Detail

### explain

    public void explain(ExpressionPresenter presenter)

  Description copied from interface: `RuleTarget`
  Output diagnostic explanation to an ExpressionPresenter

  Specified by:
    `explain` in interface `RuleTarget`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.